Skip to main content
GET
/
slices
/
{owner_name}
/
{slice_slug}
/
items
/
{item_uid}
cURL
curl --request GET \
  --url https://api.avala.ai/api/v1/slices/{owner_name}/{slice_slug}/items/{item_uid}/ \
  --header 'X-Avala-Api-Key: <api-key>'
{
  "key": "<string>",
  "id": 123,
  "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dataset": "<string>",
  "url": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "gpu_texture_url": "<string>",
  "metadata": {},
  "thumbnails": [
    "<string>"
  ],
  "video_thumbnail": "<string>",
  "export_snippet": {},
  "annotations": {
    "nodes": [
      {
        "annotation_info": {
          "task_name": "<string>",
          "task_object": "<string>",
          "object_uuid": "<string>",
          "data": {}
        },
        "status": "<string>",
        "uid": "<string>",
        "project_index": 123,
        "children": "<array>",
        "annotator": {
          "username": "<string>",
          "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "full_name": "<string>",
          "picture": "<string>"
        },
        "reviewer": {
          "username": "<string>",
          "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "full_name": "<string>",
          "picture": "<string>"
        }
      }
    ],
    "projects": [
      {
        "name": "<string>",
        "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ]
  },
  "crop_data": {
    "crop_annotations_in_2d": [
      {
        "z": 123,
        "classes": [
          "<string>"
        ]
      }
    ],
    "crop_annotations_polygon_mask": [
      [
        123
      ]
    ],
    "where": "dataset"
  },
  "related_items": [
    {
      "sensor_id": "<string>",
      "sensor_index": 123,
      "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "related_sequence_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Path Parameters

owner_name
string
required
slice_slug
string
required
item_uid
string
required

Query Parameters

project_id
string

Show only items with tasks from given project

status
enum<string>

Show only tasks with given status

Available options:
all,
complete,
pending,
skipped

Response

200 - application/json
key
string
required
Required string length: 1 - 1024
id
integer
uid
string<uuid>
dataset
string
url
string
created_at
string<date-time>
updated_at
string<date-time>
gpu_texture_url
string
metadata
Metadata · object
thumbnails
(string | null)[]
video_thumbnail
string

Get the URL for the video thumbnail (.webm clip) if available.

Minimum string length: 1
export_snippet
Export snippet · object
annotations
object
crop_data
object